[Overview][Constants][Types][Classes][Index] | Reference for unit 'fgl' (#rtl)

# TFPGObjectList.Items

Indexed access to objects in the list.

## Declaration

Source position: fgl.pp line 200

`public property TFPGObjectList.Items[Index: Integer] : T read Get write Put; default;`

## Description

Items provides indexed access to the objects in the list. The objects can be get or set.

The index Index is zero based, and has a maximum value of Count-1.

If the list owns the objects, (TFPGObjectList.FreeObjects is set to True) then the previous object at position Index is freed when setting the property.

## Errors

If an invalid index is used, an EListError exception is raised.

## See also

TFPSList.Count |  | Current element count
TFPGObjectList.FreeObjects |  | Does the list own the objects or not?